Subject: Re: [Emu] Last Call: <draft-ietf-emu-eap-tunnel-method-07.txt> (Tunnel EAP Method (TEAP) Version 1) to Proposed Standard

From: Josh Howlett <[email-masked]>
Date: Thu, 25 Jul 2013 13:26:55 +0000

Section 3.2 of draft-wierenga-ietf-eduroam describes the issues presented
by EAP's spartan support for error condition handling. Although these are
described in the context of a particular roaming operator's experiences, I
believe this is also likely to be true for other non-trivial deployments.

To its credit this document (draft-ietf-emu-eap-tunnel-method) does
address error handling more comprehensively than previous EAP methods, but
I am not confident that it will yield error handling outcomes that could
be understood and corrected by an end user. For example, from my
understanding of the document, the most common failure modes (e.g.,
incorrect password; account locked; backend database offline, etc) will
all yield an "Inner_Method_Error". The other error messages are equally
vague ("General_PKI_Error") or cryptic from an end user's perspective.

Is this something that could be discussed in Berlin next week?

Josh.

On 16/07/2013 15:19, "The IESG" <[email-masked]> wrote:

>
>The IESG has received a request from the EAP Method Update WG (emu) to
>consider the following document:
>- 'Tunnel EAP Method (TEAP) Version 1'
>  <draft-ietf-emu-eap-tunnel-method-07.txt> as Proposed Standard
>
>The IESG plans to make a decision in the next few weeks, and solicits
>final comments on this action. Please send substantive comments to the
>[email-masked] mailing lists by 2013-07-30. Exceptionally, comments may be
>sent to [email-masked] instead. In either case, please retain the
>beginning of the Subject line to allow automated sorting.
>
>Abstract
>
>
>   This document defines the Tunnel Extensible Authentication Protocol
>   (TEAP) version 1.  TEAP is a tunnel based EAP method that enables
>   secure communication between a peer and a server by using the
>   Transport Layer Security (TLS) protocol to establish a mutually
>   authenticated tunnel.  Within the tunnel, Type-Length-Value (TLV)
>   objects are used to convey authentication related data between the
>   EAP peer and the EAP server.
>
>
>
>
>The file can be obtained via
>http://datatracker.ietf.org/doc/draft-ietf-emu-eap-tunnel-method/
>
>IESG discussion can be tracked via
>http://datatracker.ietf.org/doc/draft-ietf-emu-eap-tunnel-method/ballot/
>
>
>The following IPR Declarations may be related to this I-D:
>
>   http://datatracker.ietf.org/ipr/1902/
>
>
>
>_______________________________________________
>Emu mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/emu

Janet(UK) is a trading name of Jisc Collections and Janet Limited, a 
not-for-profit company which is registered in England under No. 2881024 
and whose Registered Office is at Lumen House, Library Avenue,
Harwell Oxford, Didcot, Oxfordshire. OX11 0SG. VAT No. 614944238

---

From: "Joseph Salowey (jsalowey)" <[email-masked]>
Date: Thu, 25 Jul 2013 16:07:40 +0000

Yes, this document is the main thing on the agenda. 
On Jul 25, 2013, at 6:26 AM, Josh Howlett <[email-masked]>